use crate::periph::mos6526::Mos6526;
use crate::traits::backplane::Backplane;

impl Backplane for Mos6526 {
    fn data_bus(&self) -> u8 {
        todo!()
    }

    fn address_bus(&self) -> u16 {
        todo!()
    }

    fn read_mode(&self) -> bool {
        todo!()
    }

    fn set_read_mode(&mut self, new_mode: bool) {
        todo!()
    }

    fn set_data_bus(&mut self, new_value: u8) {
        todo!()
    }

    fn set_address_bus(&mut self, new_value: u16) {
        todo!()
    }

    fn tick(&mut self) {
        todo!()
    }

    fn tick_ram(&mut self, address: u16, data: u8, cs: bool, oe: bool, we: bool) -> u8 {
        todo!()
    }

    fn tick_rom(&mut self, address: u16, cs: bool, oe: bool) -> u8 {
        todo!()
    }

    fn tick_via(&mut self, address: u16, data: u8, cs0: bool, cs1: bool, rw: bool, rs0: bool, rs1: bool) -> (u8, bool, bool) {
        todo!()
    }
}